<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

namespace Rebilly\Wp\Member\Admin;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class User
{
    public function __construct()
    {
        $this->register();
    }

    public function register()
    {
        add_action('show_user_profile', [$this, 'showInfo']);
        add_action('edit_user_profile', [$this, 'showInfo']);
    }

    public function showInfo($user)
    {
        if (current_user_can('manage_options')) {
            $user = \Rebilly\Wp\Member\Entity\User::find($user);
            renderIsolate(REBILLY_WP_DIR . 'template/admin/userinfo.php', compact('user'));
        }
    }
}
