<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration;

use Exception;
use Rebilly\Wp\Member\Integration\BeaverBuilder\RebillyDynamicPage\DynamicPageModule;
use Rebilly\Wp\Member\Integration\BeaverBuilder\RebillyForm\FormModule;
use Rebilly\Wp\Member\Integration\BeaverBuilder\RebillyPortal\PortalModule;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class BeaverBuilder implements IntegrationContract
{
    private $modules = [
        FormModule::class,
        DynamicPageModule::class,
        PortalModule::class,
    ];

    public static function isApplicable(): bool
    {
        return class_exists('FLBuilder');
    }

    public function register(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init(): void
    {
        foreach ($this->modules as $module) {
            try {
                $module::register();
            } catch (Exception $e) {
            }
        }
    }
}
