<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Reformer;

use Rebilly\Wp\Member\Reformer\Traits\HasAttributes;
use Rebilly\Wp\Member\Reformer\Traits\HasDomRenderer;
use Rebilly\Wp\Member\Reformer\Traits\HasNoChildren;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class Framepay implements Node
{
    use HasAttributes, HasNoChildren, HasDomRenderer;

    protected $config = [];

    /**
     * Framepay constructor.
     * @param array $config
     */
    public function __construct(array $config)
    {
        $this->config = $config;

        $this->attributes['id'] = $config['id'];
        $this->attributes['class'] = trim($config['class'] . ' wp_rebilly_m__payment_card');
    }

    /**
     * @return string
     */
    public function getTag(): string
    {
        return 'div';
    }

    /**
     * @param array $env
     *
     * @return bool
     */
    public function isAvailable(array $env): bool
    {
        return true;
    }
}
