<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Reformer;

use Rebilly\Wp\Member\Reformer\Traits\HasAttributes;
use Rebilly\Wp\Member\Reformer\Traits\HasChildren;
use Rebilly\Wp\Member\Reformer\Traits\HasDomRenderer;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class Text implements Node
{
    use HasAttributes, HasChildren, HasDomRenderer;

    protected $tag = '';

    protected $config = [];

    /**
     * Label constructor.
     * @param array $config
     */
    public function __construct(array $config)
    {
        $this->config = $config;

        $this->tag = $config['tag'];

        $this->children = Reformer::buildNodes($config['children'] ?? []);

        $this->attributes['id'] = $config['id'];
        $this->attributes['class'] = $config['class'];
    }

    public function getTag(): string
    {
        return $this->tag;
    }

    /**
     * @param array $env
     *
     * @return bool
     */
    public function isAvailable(array $env): bool
    {
        return true;
    }
}
