<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Reformer\Traits;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

trait HasShowFor
{
    public function isAvailable(array $env): bool
    {
        $showFor = $this->config['settings']['show-for'] ?? '';
        $authenticated = $env['isAuthenticated'] ?? false;
        if (($showFor === 'auth' && !$authenticated) ||
            ($showFor === 'guest' && $authenticated)) {
            return false;
        }

        return true;
    }
}
